package com.gic.haoban.manage.service.dao.mapper;


import com.gic.haoban.manage.service.entity.TabOpenStaff;
import org.apache.ibatis.annotations.Param;

public interface OpenStaffMapper {

    /**
     * 根据主键删除
     */
    int deleteByPrimaryKey(@Param("id") Long id);

    /**
     * 插入一条记录
     */
    int insert(TabOpenStaff record);

    int update(TabOpenStaff tab) ;

    TabOpenStaff getByStaffId(@Param("staffId")String staffId) ;

    TabOpenStaff getByUUID(@Param("uuid") String uuid) ;

    void updateValiFlag(@Param("uuid")String uuid);

    TabOpenStaff getById(Long openStaffId);
}